Skip to main content
POST
/
ims
/
oneroster
/
gradebook
/
v1p2
/
lineItems
Create a Line Item
curl --request POST \
  --url https://api.alpha-1edtech.ai/ims/oneroster/gradebook/v1p2/lineItems/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "lineItem": {
    "title": "<string>",
    "assignDate": "2023-11-07T05:31:56Z",
    "dueDate": "2023-11-07T05:31:56Z",
    "class": {
      "sourcedId": "<string>"
    },
    "school": {
      "sourcedId": "<string>"
    },
    "category": {
      "sourcedId": "<string>"
    },
    "sourcedId": "<string>",
    "status": "active",
    "dateLastModified": "2023-11-07T05:31:56Z",
    "metadata": {},
    "description": "<string>",
    "gradingPeriod": {
      "sourcedId": "<string>"
    },
    "academicSession": {
      "sourcedId": "<string>"
    },
    "scoreScale": {
      "sourcedId": "<string>"
    },
    "resultValueMin": 123,
    "resultValueMax": 123,
    "learningObjectiveSet": [
      {
        "source": "<string>",
        "learningObjectiveIds": [
          "<string>"
        ]
      }
    ]
  }
}
'
{
  "sourcedIdPairs": {
    "suppliedSourcedId": "<string>",
    "allocatedSourcedId": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.timeback.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
lineItem
object
required

Represents a line item.

Response

Line item successfully created

sourcedIdPairs
object
required